List the pages of a URL source
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"url": "<string>",
"status": "processing",
"lastCrawledAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>"
}
],
"total": 123
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}List the pages of a URL source
Returns the pages found by crawls, sorted by URL, with the knowledge base document that holds each page and the document’s state. Pages that are gone from the site, or whose document was deleted, are listed as “removed”.
GET
/
api
/
v1
/
rag
/
kb
/
{kbId}
/
sources
/
{sourceId}
/
pages
List the pages of a URL source
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"url": "<string>",
"status": "processing",
"lastCrawledAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>"
}
],
"total": 123
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Query Parameters
Optional, skip N pages. Default 0
Required range:
0 <= x <= 2147483647Optional, take M pages, from 1 to 500. Default 50
Required range:
1 <= x <= 500Was this page helpful?